import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CloudFileChunkWhereInputObjectSchema as CloudFileChunkWhereInputObjectSchema } from './CloudFileChunkWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => CloudFileChunkWhereInputObjectSchema).optional(),
  some: z.lazy(() => CloudFileChunkWhereInputObjectSchema).optional(),
  none: z.lazy(() => CloudFileChunkWhereInputObjectSchema).optional()
}).strict();
export const CloudFileChunkListRelationFilterObjectSchema: z.ZodType<Prisma.CloudFileChunkListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkListRelationFilter>;
export const CloudFileChunkListRelationFilterObjectZodSchema = makeSchema();
